EDIT - feature request #6442

Feature block settings: margins for data in block level elements
03/01/2017 11:30 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 4.7

Severity: normal

Description

If div is selected for the enclosing tag it is often desirable to display the resuling text blocks as paragraphs with a margin.
This could be easily achieved by also allowing to use p as enclosing tag.

example Nepenthes gracillima:
http://caryophyllales.org/nepenthaceae/cdm_dataportal/taxon/53d8bdee-f688-4c98-a90a-ef794bc23845

This page has a 'Notes' feature block containing multiple feature elements. The feature elements should be separated by space. This
is currently only possible by applying a margin rule per css style rule. Since having a space inbetween the feature elements is
expected to be a common requirements this should be configurabel via the settings.

Associated revisions

Revision 29f63b48 - 03/01/2017 11:48 AM - Andreas Kohlbecker

fix #6442 p tags as additional option to enclose description elements with

Revision e4272e1b - 03/07/2017 03:25 PM - Andreas Kohlbecker

fix #6442 p tags as additional option to enclose description elements with

History

#1 - 03/01/2017 11:31 AM - Andreas Kohlbecker
- Tags set to caryophyllales

#2 - 03/01/2017 11:31 AM - Andreas Kohlbecker

- Description updated

#3 - 03/01/2017 11:49 AM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|29f63b48d79e7fa3af080758ee0a261ede9c9dOf.

#4 - 03/01/2017 11:52 AM - Andreas Kohlbecker
- Assignee changed from Andreas Kohlbecker to Andreas Mtiller
| removed the style
#Notes .DescriptionElement-TextData {
margin-bottom: lem;
}
again from the nepenthaceae portal theme setting, you can choose p once the release is deployed to achieve the same effect.
#5 - 06/15/2017 02:23 PM - Andreas Miiller

- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Andreas Kohlbecker
http://caryophyllales.org/nepenthaceae/cdm_dataportal/taxon/53d8bdee-f688-4c98-a90a-ef794bc23845
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/29f63b48d79e7fa3af080758ee0a261ede9c9d0f

Not sure anymore what this ticket is all about. Can you leave me a note how and what to test?

What exactly is meant by "rom the nepenthaceae portal theme setting, you can choose p"?

#6 - 06/16/2017 08:17 AM - Andreas Kohlbecker

- Description updated

#7 - 06/16/2017 08:20 AM - Andreas Kohlbecker
The like this:

e see the "Notes" feature elements having no space:

http://caryophyllales.org/nepenthaceae/cdm_dataportal/taxon/53d8bdee-f688-4c98-a90a-ef794bc23845
e gotto

http://caryophyllales.org/nepenthaceae/admin/config/cdm_dataportal/settings/layout/taxon#edit-feature-block-settings-b5780b45-6439-4f3c-9818
-d89d26d36eb2 and select 'p' as element tag & save the changes

¢ see the "Notes" feature elements being separated by space now

Done

#8 - 02/22/2022 10:43 AM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- % Done changed from 50 to 100

apparently solved
